@import url('./colors.css');
@import url('./buttons.css');
@import url('./fonts.css');

/**
* Grid variables
*/
:root{
    --site-gutter: 112px;
    --column-gap: 24px;
    --row-spacing: 120px;
}

/**
* Relative scaling
*/
:root{
    --pk-container-width: var(--container-width);
    --pk-site-gutter: var(--site-gutter);
    --pk-column-gap: var(--column-gap);
    --pk-row-spacing: var(--row-spacing);
}

body.relative-scaling{
    --pk-column-gap: calc((var(--column-gap) / 16px) * var(--su));
    --pk-row-spacing: calc((var(--row-spacing) / 16px) * var(--su));
    --pk-site-gutter: calc((var(--site-gutter) / 16px) * var(--su));
    --pk-text-font-size: max(var(--text-mobile-font-size), calc((var(--text-desktop-font-size) / 16px) * var(--su)));
}

@media only screen and (min-width: 993px){
    :root{
        --pk-text-font-size: var(--text-desktop-font-size);
    }
}

@media only screen and (max-width: 992px){
    :root{
        --pk-text-font-size: var(--text-tablet-font-size);
    }
}

@media only screen and (max-width: 767px){
    :root{
        --pk-text-font-size: var(--text-mobile-font-size);
    }
}
